Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibatis.jpetstore.presentation
Class CartBean

    java.lang.Object
      org.apache.struts.action.ActionForm
          com.ibatis.struts.BaseBean
              com.ibatis.jpetstore.presentation.CartBean

All Implemented Interfaces:
  Serializable

public class CartBean
extends com.ibatis.struts.BaseBean

See Also:
  Serialized Form

Field Summary
`private Cart` | `cart`
`private static CatalogService` | `catalogService`
`private String` | `pageDirection`
`private String` | `workingItemId`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`CartBean()`

Method Summary
`String` | `addItemToCart()`
`void` | `clear()`
`Cart` | `getCart()`
`String` | `getPageDirection()`
`String` | `getWorkingItemId()`
`String` | `removeItemFromCart()`
`void` | `setCart(Cart cart)`
`void` | `setPageDirection(String pageDirection)`
`void` | `setWorkingItemId(String workingItemId)`
`String` | `switchCartPage()`
`String` | `updateCartQuantities()`
`String` | `viewCart()`

Methods inherited from class com.ibatis.struts.BaseBean
`reset, reset, reset, validate, validate, validate, validateRequiredField`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, setMultipartRequestHandler, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### catalogService

    private static final CatalogService catalogService

### cart

    private Cart cart

### workingItemId

    private String workingItemId

### pageDirection

    private String pageDirection

Constructor Detail

### CartBean

    public CartBean()

Method Detail

### getCart

    public Cart getCart()

### setCart

    public void setCart(Cart cart)

### getWorkingItemId

    public String getWorkingItemId()

### setWorkingItemId

    public void setWorkingItemId(String workingItemId)

### getPageDirection

    public String getPageDirection()

### setPageDirection

    public void setPageDirection(String pageDirection)

### addItemToCart

    public String addItemToCart()

### removeItemFromCart

    public String removeItemFromCart()

### updateCartQuantities

    public String updateCartQuantities()

### switchCartPage

    public String switchCartPage()

### viewCart

    public String viewCart()

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.